import { defineComponent, toRefs, openBlock, createElementBlock, unref, createElementVNode } from "vue";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "go-border-box" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = ["fill", "points"];
const _hoisted_4 = ["stroke", "points"];
const _hoisted_5 = ["stroke", "points"];
const _hoisted_6 = ["stroke", "points"];
const _hoisted_7 = ["stroke", "points"];
const __default__ = defineComponent({ name: "EBorder11" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        (openBlock(), createElementBlock("svg", {
          class: "bv-border-svg-container",
          width: unref(w),
          height: unref(h)
        }, [
          createElementVNode("polygon", {
            fill: unref(backgroundColor),
            points: `
        23, 23 ${unref(w) - 24}, 23 ${unref(w) - 24}, ${unref(h) - 24} 23, ${unref(h) - 24}
      `
          }, null, 8, _hoisted_3),
          createElementVNode("polyline", {
            class: "go-border-line-1",
            stroke: unref(colors)[0],
            points: `4, 4 ${unref(w) - 22} ,4 ${unref(w) - 22}, ${unref(h) - 22} 4, ${unref(h) - 22} 4, 4`
          }, null, 8, _hoisted_4),
          createElementVNode("polyline", {
            class: "go-border-line-3",
            stroke: unref(colors)[1],
            points: `10, 10 ${unref(w) - 16}, 10 ${unref(w) - 16}, ${unref(h) - 16} 10, ${unref(h) - 16} 10, 10`
          }, null, 8, _hoisted_5),
          createElementVNode("polyline", {
            class: "go-border-line-3",
            stroke: unref(colors)[1],
            points: `16, 16 ${unref(w) - 10}, 16 ${unref(w) - 10}, ${unref(h) - 10} 16, ${unref(h) - 10} 16, 16`
          }, null, 8, _hoisted_6),
          createElementVNode("polyline", {
            class: "go-border-line-3",
            stroke: unref(colors)[1],
            points: `22, 22 ${unref(w) - 4}, 22 ${unref(w) - 4}, ${unref(h) - 4} 22, ${unref(h) - 4} 22, 22`
          }, null, 8, _hoisted_7)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
var _EBorder11 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-1a7689b9"]]);
export { _EBorder11 as default };
